
.button {
	position: relative;
	display: inline-flex; vertical-align: middle; text-align: center; box-sizing: border-box;
	align-items: center; justify-content: center;
	text-decoration: none !important;
	outline: none;
	-webkit-appearance: none;
	border: none;
	cursor: pointer;
	user-select: none;
	background-color: transparent;
	font-family: Roboto,sans-serif;
	font-weight: 400;
	font-size: 16px;
	text-transform: uppercase;
	color: #fff;
	margin-bottom: 25px;

    &::before {
        content: '';
        position: absolute;
        bottom: -1px;
        left: 50%;
        transform: translateX(-50%);
        width: 120%;
        opacity: 0;
        background-color: currentColor;
        transition: height 1s cubic-bezier(0.65, 0.05, 0.41, 0.56), opacity 1s cubic-bezier(0.65, 0.05, 0.41, 0.56);
    }
    
    &:hover::before,
    &:focus::before {
        height: 2px;
        opacity: 1;
    }
}
